import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../constant/colors.dart';
import '../../constant/style.dart';

class MyScafolld extends StatelessWidget {
  const MyScafolld({
    super.key,
    required this.title,
    required this.body,
    this.action = const Icon(Icons.clear),
    required this.isleading,
  });

  final String title;
  final List<Widget> body;
  final Widget action;
  final bool isleading;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: AppColor.secondaryColor,
        appBar: AppBar(
          backgroundColor: AppColor.secondaryColor,
          elevation: 0,
          leading: isleading
              ? IconButton(
                  onPressed: () {
                    Get.back();
                  },
                  icon: const Icon(
                    Icons.arrow_back_ios_new,
                    color: AppColor.primaryColor,
                  ),
                )
              : const SizedBox(),
          actions: [action],
          title: Text(
            title,
            style: AppStyle.title.copyWith(fontSize: 30),
          ),
        ),
        body: SafeArea(child: Stack(children: body)));
  }
}
